
Name:		festvox
Summary:	Voices for Festival - a free speech synthesizer 
Version:	1.4.3
Release:	%mkrel 20
License:	BSD
Group:		Sound/Utilities
URL:		https://www.cstr.ed.ac.uk/projects/festival/
BuildArch:	noarch

### VOICES
# American English male speaker (KAL), residual excited LPC diphone database
Source200:	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/%{name}_kallpc16k.tar.bz2
# Same voice at lower quality
Source201:	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/%{name}_kallpc8k.tar.bz2
# American English male speaker, residual excited LPC diphone database
Source202:	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/%{name}_kedlpc16k.tar.bz2
# Same voice at lower quality
Source203:	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/%{name}_kedlpc8k.tar.bz2
# British English RP male speaker using residual excited LPC diphone
# database, requires festlex_POSLEX and festlex_OALD (non-free)
#Source204:	ftp://ftp.cstr.ed.ac.uk/pub/festival/%%{version}/%%{name}_rablpc16k.tar.bz2
# Same as festvox_rablpc16k but at 8KHz sampling.
# requires festlex_POSLEX and festlex_OALD (non-free)
#Source205:	ftp://ftp.cstr.ed.ac.uk/pub/festival/%%{version}/%%{name}_rablpc8k.tar.bz2 

# Castilian Spanish male speaker, residual excited LPC diphone database
# NONFREE! - Free for non-commercial use
#Source299:	ftp://ftp.cstr.ed.ac.uk/pub/festival/%%{version}/%%{name}_ellpc11k.tar.bz2

# Add some useful words to the dictionary...
#Patch10: CMU-redhat.patch.bz2

%description
Festival is a general multi-lingual speech synthesis system developed
at CSTR. It offers a full text to speech system with various APIs, as
well as an environment for development and research of speech synthesis
techniques. It is written in C++ with a Scheme-based command interpreter
for general control.

This package contains voices for use with Festival.


%package kallpc16k
Group:		Sound/Utilities
Summary:	Festival Voice - American English male speaker (KAL) 16kHz
Requires:	%{name}-kallpc-common
Provides:	festival-voice = %{version}-%{release}
Provides:	festival-voice-english = %{version}-%{release}
Provides:	festival-voice-en_US = %{version}-%{release}

%description kallpc16k
Festival Voice - American English male speaker (KAL) 16kHz

%package kallpc8k
Group:		Sound/Utilities
Summary:	Festival Voice - American English male speaker (KAL) 8kHz
Requires:	%{name}-kallpc-common
Provides:	festival-voice = %{version}-%{release}
Provides:	festival-voice-english = %{version}-%{release}
Provides:	festival-voice-en_US = %{version}-%{release}

%description kallpc8k
Festival Voice - American English male speaker (KAL) 8kHz

%package kallpc-common
Group:		Sound/Utilities
Summary:	Festival Voice - American English male speaker (KAL) - Common
Requires:	festlex-CMU = %{version}-%{release}

%description kallpc-common
Festival Voice - American English male speaker (KAL)

Files shared between the 16kHz and 8kHz Voices


%package kedlpc16k
Group:		Sound/Utilities
Summary:	Festival Voice - American English male speaker (KED) 16kHz
Requires:	%{name}-kedlpc-common = %{version}-%{release}
Provides:	festival-voice = %{version}-%{release}
Provides:	festival-voice-english = %{version}-%{release}
Provides:	festival-voice-en_US = %{version}-%{release}

%description kedlpc16k
Festival Voice - American English male speaker (KAL) 16kHz

%package kedlpc8k
Group:		Sound/Utilities
Summary:	Festival Voice - American English male speaker (KDE) 8kHz
Requires:	%{name}-kedlpc-common = %{version}-%{release}
Provides:	festival-voice = %{version}-%{release}
Provides:	festival-voice-english = %{version}-%{release}
Provides:	festival-voice-en_US = %{version}-%{release}

%description kedlpc8k
Festival Voice - American English male speaker (KED) 8kHz

%package kedlpc-common
Group:		Sound/Utilities
Summary:	Festival Voice - American English male speaker (KED) - Common
Requires:	festlex-CMU = %{version}-%{release}

%description kedlpc-common
Festival Voice - American English male speaker (KED)

Files shared between the 16kHz and 8kHz Voices


#%%package rablpc16k
#Group:		Sound
#Summary:	Festival Voice - British English male speaker (RAB) 16kHz
#Requires:	%%{name}-rablpc-common
#Provides:	festival-voice
#Provides:	festival-voice-english
#Provides:	festival-voice-en_UK

#%%description rablpc16k
#Festival Voice - British English male speaker (RAB) 16kHz

#%%package rablpc8k
#Group:		Sound
#Summary:	Festival Voice - British English male speaker (RAB) 8kHz
#Requires:	%%{name}-rablpc-common
#Provides:	festival-voice
#Provides:	festival-voice-english
#Provides:	festival-voice-en_UK

#%%description rablpc8k
#Festival Voice - American English male speaker (RAB) 8kHz

#%%package rablpc-common
#Group:		Sound
#Summary:	Festival Voice - British English male speaker (RAB) - Common
#Requires:	festlex-OALD

#%%description rablpc-common
#Festival Voice - British English male speaker (RAB)

#Files shared between the 16kHz and 8kHz Voices

%prep
%setup -T -c -q -a 200 -a 201 -a 202 -a 203

%build

#cd festival/lib/dicts/cmu
#make
#cd ../../..

%install
mkdir -p %{buildroot}%_datadir/festival
cp -a festival/lib/voices %{buildroot}%_datadir/festival

rm -f %{buildroot}/%{_datadir}/festival/voices/english/*/COPYING

%files kallpc16k
%_datadir/festival/voices/english/kal_diphone/group/kallpc16k.group

%files kallpc8k
%_datadir/festival/voices/english/kal_diphone/group/kallpc8k.group

%files kallpc-common
%doc festival/lib/voices/english/kal_diphone/COPYING
%_datadir/festival/voices/english/kal_diphone/%{name}/*.scm

%files kedlpc16k
%_datadir/festival/voices/english/ked_diphone/group/kedlpc16k.group

%files kedlpc8k
%_datadir/festival/voices/english/ked_diphone/group/kedlpc8k.group

%files kedlpc-common
%doc festival/lib/voices/english/ked_diphone/COPYING
%_datadir/festival/voices/english/ked_diphone/%{name}/*.scm

#%%files rablpc16k
#%%_datadir/festival/voices/english/rab_diphone/group/rablpc16k.group

#%%files rablpc8k
#%%_datadir/festival/voices/english/rab_diphone/group/rablpc8k.group

#%%files rablpc-common
#%%doc festival/lib/voices/english/rab_diphone/COPYING
#%%_datadir/festival/voices/english/rab_diphone/%%{name}/*.scm


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.4.3-20.mga10
+ Revision: 2196860
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 1.4.3-19.mga9
+ Revision: 1801032
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.4.3-18.mga8
+ Revision: 1490093
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.4.3-17.mga7
+ Revision: 1261450
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.4.3-16.mga6
+ Revision: 947955
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-15.mga5
+ Revision: 745114
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-14.mga5
+ Revision: 679159
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.3-13.mga4
+ Revision: 504392
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.4.3-12.mga3
+ Revision: 350245
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 barjac <barjac> 1.4.3-11.mga3
+ Revision: 342957
- update group
- spec clean

* Mon May 16 2011 ahmad <ahmad> 1.4.3-10.mga1
+ Revision: 99192
- imported package festvox


* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-9mdv2011.0
+ Revision: 664302
- mass rebuild

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-8mdv2011.0
+ Revision: 605124
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-7mdv2010.1
+ Revision: 521123
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4.3-6mdv2010.0
+ Revision: 424433
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.4.3-5mdv2009.0
+ Revision: 220789
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.4.3-4mdv2008.1
+ Revision: 149721
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 1.4.3-3mdv2008.0
+ Revision: 64778
- rebuild


* Wed Jan 31 2007 Götz Waschk <waschk@mandriva.org> 1.4.3-2mdv2007.0
+ Revision: 115706
- Import festvox

* Wed Jan 31 2007 Götz Waschk <waschk@mandriva.org> 1.4.3-2mdv2007.1
- rebuild

* Mon Jan 30 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-2mdk
- Rebuild

